<?php
class ControllerPaymentGateWay extends Controller
{
	private $error = array();

	public function index()
	{
		$this->load->language('payment/gateway');

		$this->document->setTitle($this->language->get('page_description'));

		$this->load->model('setting/setting');

		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validate()) 
		{
			$this->model_setting_setting->editSetting('gateway', $this->request->post);

			$this->session->data['success'] = $this->language->get('text_success');

			$this->response->redirect($this->url->link('extension/payment', 'token=' . $this->session->data['token'], 'SSL'));
		}

		$data['heading_title'] = $this->language->get('heading_title');
		
		$data['text_edit'] = $this->language->get('text_edit');
		$data['text_enabled'] = $this->language->get('text_enabled');
		$data['text_disabled'] = $this->language->get('text_disabled');

		$data['entry_pin'] = $this->language->get('entry_pin');	
		$data['entry_bank'] = $this->language->get('entry_bank');	
		$data['entry_bconfig'] = $this->language->get('entry_bconfig');

		
		$data['entry_order_status'] = $this->language->get('entry_order_status');
		$data['entry_status'] = $this->language->get('entry_status');
		$data['entry_sort_order'] = $this->language->get('entry_sort_order');

		$data['button_save'] = $this->language->get('button_save');
		$data['button_cancel'] = $this->language->get('button_cancel');

		$data['error_warning'] = isset($this->error['warning']) ? $this->error['warning'] : '';
		
		$data['error_pin'] = isset($this->error['pin']) ? $this->error['pin'] : '';

		$data['breadcrumbs'] = array();

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_home'),
			'href' => $this->url->link('common/dashboard', 'token=' . $this->session->data['token'], 'SSL')
		);

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_payment'),
			'href' => $this->url->link('extension/payment', 'token=' . $this->session->data['token'], 'SSL')
		);

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('heading_title'),
			'href' => $this->url->link('payment/gateway', 'token=' . $this->session->data['token'], 'SSL')
		);

		$data['action'] = $this->url->link('payment/gateway', 'token=' . $this->session->data['token'], 'SSL');

		$data['cancel'] = $this->url->link('extension/payment', 'token=' . $this->session->data['token'], 'SSL');

		$data['gateway_merchant'] = isset($this->request->post['gateway_merchant']) ? $this->request->post['gateway_merchant'] : $this->config->get('gateway_merchant');

		$data['gateway_order_status_id'] = isset($this->request->post['gateway_order_status_id']) ? $this->request->post['gateway_order_status_id'] : $this->config->get('gateway_order_status_id');

		$this->load->model('localisation/order_status');

		$data['order_statuses'] = $this->model_localisation_order_status->getOrderStatuses();

		$data['gateway_status'] = isset($this->request->post['gateway_status']) ? $this->request->post['gateway_status'] : $this->config->get('gateway_status');

		$data['gateway_sort_order'] = isset($this->request->post['gateway_sort_order']) ? $this->request->post['gateway_sort_order'] : $this->config->get('gateway_sort_order');

		$data['header'] = $this->load->controller('common/header');
		$data['column_left'] = $this->load->controller('common/column_left');
		$data['footer'] = $this->load->controller('common/footer');

		$this->response->setOutput($this->load->view('payment/gateway.tpl', $data));
	}

	protected function validate() 
	{
		if (!$this->user->hasPermission('modify', 'payment/gateway'))
			$this->error['warning'] = $this->language->get('error_permission');
		
		if (!$this->request->post['gateway_merchant'])
			$this->error['pin'] = $this->language->get('error_pin');

		return !$this->error;
	}
}
?>